Izmccd

The procedure for working with the program.

The izmccd program is designed for high-precision astrometric processing of numerical images of celestial objects. The program allows you to receive both measured and equatorial coordinates of minor planets, comets, satellites of major planets, visual binary stars and other objects, as well as identify already known minor planets and find moving objects on numerical images.

As a test, you can use three CCD frames supplied with the program (1146_03.FIT, 1146_04.FIT and 1146_05.FIT). Try to identify the reference stars and find a small planet on these frames.

Colleagues, when writing scientific texts, please refer to this article:

Izmailov, I. S.; Khovricheva, M. L.; Khovrichev, M. Yu. et al.
Astrometric CCD observations of visual double stars at the Pulkovo Observatory,
Astronomy Letters, Volume 36, Issue 5, pp.349-354

The program was developed to perform this particular study.

Порядок работы с программой.

Для получения экваториальных координат объекта необходимо:

1) Загрузить числовое изображение из файла. Для этого следует выбрать пункт меню “Файл, Открыть”, либо воспользоваться кнопкой - [image] на панели инструментов. В появившемся диалоге выбрать требуемый файл. Файл должен быть в “FITS” формате. Если у вас файл в BMP формате. Смотри также раздел “Просмотр кадра”.

Замечание. Для получения лучшей точности измерений необходимо сделать предварительную обработку изображения, т. е. учтесть темновые токи и плоское поле.

2) Идентифицировать звездное поле: меню “Вычисление, Идентификация”, либо кнопка [image] на панели инструментов. В диалоговом окне “Выборка из каталога” (если вы тестируете программу с кадрами, входящими в комплект поставки, то ничего менять не надо), необходимо указать

а) Какой каталог будет использован, Tycho-2, USNO либо UCAC2 (раздел “Каталог” диалогового окна). Версия USNO при работе с компакт или жесткого диска – USNO A, при работе с интернет- USNO B.
б) Экваториальные координаты центра изображения. (“Центр”) При этом предварительно в необходимых полях будут указаны координаты из заголовка изображения, если эти координаты присутствуют в заголовке в одном из распознаваемых программой форматов.Также присутствует возможность вставки координат по номеру астероида, если наблюдался астероид. Смотри раздел Эфемеридная поддержка.
Для корректной работы точность координат центра может быть ошибочна не более чем до половины поля зрения.
в) Размер площадки. Прямое восхождение выражено в часовых минутах, склонение в угловых минутах. (“Размер”). Предварительно программой указывается двойной размер площадки. Рекомендуется не менять эти значения.
г) Минимум и максимум звездной величины. (“Звездная величина”). Минимум звездной величины имеет яркая звезда, максимум слабая.
д) Взять каталог с жесткого диска, с компакт диска или из интернет. В последнем случае у вас компьютер должен быть подключен к интернет и должно быть настроено подключение в программе InternetExplorer, поскольку для выхода в сеть используются именно эти настройки.

Далее нажать кнопку “OK” в диалоговом окне. Произойдет автоматическая идентификация звездного поля. Если идентификация прошла успешно, появится окно:

Нажмите “OK”. После этого на изображении все звезды из каталога будут отмечены зелеными окружностями с номерами.

Подробнее об обозначении объектов на числовом изображении смотри здесь.

Если поле не было идентифицировано см. соответствующий раздел.

3) Измерить отмеченные звезды – меню “Вычисления, Измерить отмеченное”, либо - [image].

Измеренные звезды будут отмечены красными окружностями.

4) Включить режим измерений по щелчку левой кнопки мыши – меню “Вычисления, Измерения”, либо – [image].

В том случае если у вас изображение объекта имеет форму штриха (быстрый объект) вместо пункта меню “Вычисления, Измерения” необходимо выбрать пункт “Вычисления, Штрих”.

5) Щелкнуть левой кнопкой мыши на объекте, координаты которого необходимо получить. Объект будет отмечен красной окружностью. (Можно измерить несколько объектов.) О поиске объектов смотри здесь.

6) Посчитать экваториальные координаты: меню “Вычисления, Вычислить координаты” либо - [image]. Заметим, что вместо этого можно также воспользоваться командой “Вычисления, Вычислить координаты Л.”. О различии этих команд смотри раздел ”Контроль и улучшение точности результатов”. Появится окно, в котором будут даны координаты и звездные величины объектов:

Все эти данные также будут выведены в файл "MPCReport.txt". Формат файла соответствуют формату, принятому международным центром малых планет (MPC). Более детальная информация (измеренные координаты в пикселах ,постоянные пластинки, невязки на опорных звездах и т. д.) выводится в файл izmccd.log. Подробнее смотри раздел "Форматы файлов".

О том, как получить наилучший результат, смотри раздел “Контроль и улучшение точности результатов”.

Если наблюдались малые планеты или кометы, данные из файла "MPCReport.txt" необходимо отправить в Международный центр малых планет (Minor Planet Center (MPC)) [http|//cfa-www.harvard.edu/cfa/ps/mpc.html] по электронной почте. Автор данной программы будет благодарен, если копию письма в MPC вы пришлете на адрес i_izmailov@mail.ru.


Photometry (faq).

I have a series of images with a variable star. I want to get a light curve.
a) Copy the images into one folder.
b) Start Izmccd.
c) Open the first image. (File / Open)
d) Click the "photometry" button on the first toolbar.
e) Click the variable star and comparison stars. Stars will be circled in a green circle with the number to the right.
f) In the "photometry" window (on the right) in the "Numbers of designated stars" and "Numbers of comparison stars" fields, enter (correct) the corresponding numbers.
g) Click the "Start" button in the photometry window.
h) If everything worked out, the program will start processing the images one by one. At the end, a window will appear with a graph on which the magnitudes of the variable star will be indicated by red dots, comparison stars are blue. The graph draws a separate program - "ft".

The variable star (or comparison star) is already circled in green.
No problem - enter the numbers that already exist.

Not all images in the folder are processed.
Pay attention to the field "Path + mask of processed images" in the "photometry" window. It is necessary to check whether the program has found all the image files.
Suppose you have a folder for example called "d: \ work" and images "CYLir001.fit", "CYLir002.fit", ..., "CYLir100.fit", then in this field the default will be "d: \ work \ CYLir ???. fit ". The ‘?’ Marks mean that all files with that name are selected, and instead of a question mark there can be any character. You can also use '*' signs, for example, if you want to process all files in a folder without exception, you must specify "d: \ work \ *. *", If all files with the "fit" extension - "d: \ work \ *. fit "etc ..

Why does the program need other marked stars, not comparison stars and not variables?
The program, on these stars on each frame, tries to find a similar, noted configuration of stars. If only 3 stars are noted for example, this is more difficult to do.

I have an azimuth mount and the field rotates from the image to the image. The program can not automatically find the configuration of the stars.
Check the box "rotates" and try to repeat all over again.

Your configuration identification algorithm fails. I want to manually mark a variable star and comparison stars on each frame.
Mark the desired stars with the mouse, press the button 'Measure open frame'. Open the next frame, and so on. Make sure that the numbering of the stars is preserved, and that the required numbers are in the fields "Numbers of designated stars" and "Numbers of comparison stars". Press the ft button, a graph will appear on the toolbar.

For me, the observations of each night are in a separate folder. For example, there are such files

:

D:\ccd\05032010\CYLyr001.fit
D:\ccd\05032010\CYLyr002.fit
…
D:\ccd\05032010\CYLyr100.fit,

D:\ccd\11032010\CYLyr001.fit,
D:\ccd\11032010\CYLyr002.fit,
…
D:\ccd\11032010\CYLyr100.fit,
And there are many such dates. What is the best way to process these images?
In the "Path + mask for processed images" field, enter "D: \ ccd \ CYLyr ???. Fit" and tick the "Attached folders" box.

First you need to take into account the dark frame and flat field.
In the fields "Dark frame" and "Flat field" you need to specify the necessary files. If you specify a mask that indicates the library of the corresponding files, the program will select the most suitable frame. For a dark frame this will be the closest in temperature, and for a flat field it will be the closest in time of shooting.

How to get the magnitude of comparison stars from the catalog? To then not enter them manually.
Before specifying a variable star, click the "Get stars from catalog" button.

I need a graph of only a variable star, without comparison and control stars. How to get it?
Pay attention to the "Properties" window of the "ft" program in this window set the numbers of stars for which graphs are built.

I have shot several periods of a variable star. How to get the period, and the schedule "rolled up" by period?
In the program "ft" click "define the period"
on the toolbar.

The disadvantages of this version of the program are that the moments of time are not translated into heliocentric, and that the graph does not draw two minima (maxima) of the light curve as it is for variables. In the future this will be fixed.

On the Y-axis, some strange stellar magnitudes are plotted. How to get stellar magnitudes in a more or less standard scale?
You must enter the magnitude of the stars of comparison. To do this, in the "ft" program on the toolbar, click the "Enter stellar magnitudes". In the list that appears, click on the number of the comparison star and enter its magnitude. For each star, you can enter as a stellar magnitude only in one photometric system or in two. You must enter the values of all stars of comparison.

If you entered stellar magnitudes in two photometric systems, then the color dependence for comparison stars will be taken into account, i.e., in essence, the difference between your color system and the standard one. Only linear dependence on the color index is taken into account:
m=c+m1+k(m2-m1).
Where m is the measured magnitude;
m1, m2 are stellar magnitudes in the first and second photometric systems;
с - zero point of the magnitude scale;
k - coefficient depending on the color index;
(m2-m1) - color index;

How to save the "picture" with the schedule?

Click the Save Graph button" [image] on the toolbar.

A number is needed in the form of numerical values of stellar magnitudes.
Click the "Save Row button" [image] on the toolbar.

Our goal is to search for new variable stars. How to do it?
Basically, we act the same as when constructing the light curve. Only:
a) We mark on the frame all the stars that need to be checked for variability.
Or press the button "Get stars from the catalog."
b) Enter the numbers of these stars in the "Numbers of control stars" field.

c) In the program "ft" press the button "search for variable stars" on the toolbar.
d) In the list that appears, the stars are sorted in descending order of probability that this star is variable.
d) When you click on the number of a star, a graph appears for this star.
If you press the "see the star in Izmccd" button, the last measured image will be shown in such a way that the star will be on a large scale and in the center of the window.
As a rule, the first places on the list are occupied, not by variables, but the stars in the measurement of which there was some kind of interference - the neighboring star, the star was too close to the edge, etc.

My variable star is close to another star. Images "merge". How to measure it correctly?
When marking the stars, mark both the stars that you want and the ones that interfere with. Then click the "Intersection images" button on the second toolbar in "Izmccd" and click on that and another star again. The centers of the circles are connected by a straight line. Further measurements will take into account that the images of stars merge.


Recognition of constellations.

It is known that in the photographs of the sky with an ordinary digital camera, even the simplest soap box, there are quite weak stars. Izmccd, can draw on top of a constellation image.

Try how the program works in the picture supplied with the program. The file name is "per.jpg".

So, let, there is a picture of the sky with a digital camera with a field of view of 40-60 degrees:

1) Download Izmccd - http://izmccd.puldb.ru/izmccdrus/Setup.exe

2) Run Setup.exe, install the program.

In contrast to the case when you want to use the main functionality of the program, you do not need to configure anything, you also do not need star catalogs, and so on. Everything you need to work with pictures by digital cameras, Izmccd already has.

3) Open jpg file - File / Open menu. The file is needed "source", i.e., not processed by photoshop or something similar.

4) Press the button, constellations - the last button on the first toolbar.

5) If the program did not ask for anything, you are the owner of a Canon, Samsung or Fujifilm camera, the manufacturers who were concerned about the scale of each jpg file. The rest must enter the physical size of the matrix. In the appeared window "Photo Camera Settings", in the "Camera" field is indicated the model of your camera. Then go to http://market.yandex.ru. In the search bar, enter the model. In the camera parameters we look for the physical size of the matrix. We return to Izmccd, indicate this size. If the camera with an interchangeable lens "SLR", still need to specify the focal length. Click "ok".

6) The result should draw a constellation. In the appeared tool window - view settings.

7) If you left-click on a star, textual information about the star will be displayed. I note that the information is taken from Wikipedia, respectively, if you need increased accuracy - check. When you click "open link". An article from Wikipedia about this star will be opened.

8) In addition to the stars, the program knows the nebulae included in the Messier catalog, and 8 planets. Excluded Earth, not Pluto as maybe you thought :)

I note that, like any algorithm for pattern recognition, the algorithm used does not work in 100 percent of cases.

The outlines of the constellations in the book are used:

G. Ray Stars. New outlines of old constellations.
М. Мир, 1969.

Outlines digitization and authorship for the constellations of the Bird of Paradise, Microscope, Telescope and Fly - Leonid Titov.


Install and configure the program.

• Запустите файл Setup.exe.

• Внимательно прочитайте лицензионное соглашение.

Если почему-либо вы не согласны с лицензионным соглашением, вам необходимо нажать кнопку “Я НЕ принимаю условия лицензионного соглашения” , удалить файлы дистрибутива izmccd с ваших устройств хранения информации и прекратить любое использование izmccd. В противном случае, нажмите кнопку “Я принимаю условия лицензионного соглашения”.

• Выберите рабочую папку программы. Исправьте в появившемся текстовом поле название папки, либо оставьте без исправления, если вы согласны с предложенной по умолчанию.

• Нажмите кнопку “OK” для выхода из программы установки.

Далее необходимо выполнить настройку программы.

• Запустите izmccd. Для этого откройте меню “Пуск”, “Программы”, “izmccd”.

• Откройте меню “Вид”, выберете “Свойства”, либо кнопку - [image] на панели инструментов.

• Заполните поля -

“Имя обсерватории”

“MPC код” (если вашей обсерватории код не присвоен, поле можно оставить пустым),

“Широта” и “Долгота” – в градусах, минутах и секундах (для западного полушария долгота отрицательна),

“Высота” в метрах над уровнем моря,

“Время+” – поправка к времени, указанном в заголовке числового изображения, в секундах. Если вы используете систему “GPS”, то поправка 0, в противном случае поправку необходимо определять по радиосигналам. Поправка отрицательна, если часы идут вперед, и положительна, если отстают. Часы компьютера, используемого при наблюдениях, должны идти по всемирному (гринвичскому) времени, если все же они шли по поясному времени, (не рекомендуется), в это поле нужно ввести разницу времени между Гринвичем и поясным временем умноженную на минус 3600 (число секунд в часе) плюс разница между часами вашего компьютера и поясным временем. Например, для московского зимнего времени это будет 3[часа]*(-3600)=-10800.

Внимание: Если у вас нет системы, которая устанавливает на вашем компьютере точное время (например GPS), поправку часов компьютера нужно определять каждые несколько часов наблюдений, и вносить это определенное значение при обработке соответствующих кадров.

• Выберете вкладку “Телескоп”.

Заполните поля:

“Имя”.

“Фокусное расстояние” в миллиметрах (характерные значения от 1000 до 15 000).

“Размер пиксела” в миллиметрах по осям X и Y (характерные значения от 0.005 до 0.040). Эти величины приводятся в документации к вашему приемнику излучения (ПЗС-матрице). При этом в полях масштаб по осям X и Y появятся значения, соответствующие введенным величинам.

• Величины в оставшихся вкладках, при первоначальной настройке программы менять нет необходимости. О смысле остальных настроек программы смотри разделы “Контроль и улучшение точности результатов", "Разрешение проблем с идентификацией звездного поля", "Поиск объектов".

• Эфемеридные функции программы доступны, только после загрузки и установки файлов с теорией движения больших планет и каталога элементов орбит. Смотри раздел Эфемеридная поддержка.


Search for objects.

Search for objects in the program is possible in four ways.

1) Отождествления уже известных малых планет.
Используеться каталог элементов орбит. Чтобы воспользоваться этой возможностью необходимо загрузить 3 файла
a) uxnp1950.405 с адреса ftp://ssd.jpl.nasa.gov/pub/eph/export/unix/unxp1950.405 (4.5 Мб),
b) uxnp2000.405 с адреса ftp://ssd.jpl.nasa.gov/pub/eph/export/unix/unxp2000.405 (4.5 Мб),
c) mpcorb.dat с адреса http://mpcorb.klet.org/MPCORB.ZIP (19 Мб),
либо astorb.dat с адреса ftp://ftp.lowell.edu/pub/elgb/astorb.dat.gz (25 Mб).
Файлы uxnp1950. 405 и uxnp2000. 405 содержат теорию движения больших планет с 1950 по 2050 год. Файл mpcorb.dat (astorb.dat) представляет собой каталог элементов орбит малых планет. Этот файл необходимо периодически обновлять, впрочем если вы наблюдаете малые планеты имеющие хорошие теории движения, то обновлять надо примерно раз в 5 лет. Если же вы наблюдаете не нумерованные малые планеты для примера в "обзорном" режиме, то обновлять нужно гораздо чаще - примерно раз в месяц, поскольку улучшаются старые орбиты и добавляются новые, вновь открытых астероидов. Загрузить все 3 файла также можно с сайта программы, в zip архиве по адресу - http://izmccd.puldb.ru/ORB.ZIP (22 Мb). После загрузки файлы необходимо скопировать в папку с IZMCCD, как правило C:\Program Files\Izmccd. Отмечу, что в Izmccd все вычисления производятся с полным учетом возмущений от больших планет.

2) Поиск движущихся объектов “блинкованием”. Необходимо иметь 2 или более кадров, одной и той же области неба, снятых через такие промежутки времени, чтобы было заметно движение объектов. В случае, если у вас экваториальная монтировка (нет вращения поля):

a) Загрузите первый кадр командой “Открыть”, а остальные командой “Открыть+” либо кнопкой [image] на панели инструментов.
б) Нажмите кнопку [image]. При этом в главном окне программы будут последовательно появляться загруженные кадры, таким образом, что звезды будут оставаться на одних и тех же местах, а движущийся объект будет изменять свое положение.

Внимание! Если нет вращения поля, редукцию кадр на кадр (align), делать не нужно. Сдвиги между кадрами определяются автоматически без участия пользователя.

В случае, если у вас азимутальная монтировка (есть заметное вращение поля), либо присутствует заметное изменение масштаба от снимка к снимку:
a) Загрузите первый кадр командой “Открыть”, а остальные командой “Открыть+”, либо кнопкой [image] на панели инструментов.
б) Откройте меню “Файл”, выберете “Редукция”, либо нажмите [image]. Автоматически произойдет отождествление звездных полей на всех кадрах. Далее все кадры будут редуцированы к первому кадру. Т. е. звезды на всех кадрах займут одно и тоже положение. Дальнейшие действия - такие же как в пунктах г) и д) в случае экваториальной монтировки.

Внимание. Редуцированные кадры не годятся для высокоточных измерений. Для получения наилучшего результата закройте все кадры командой “Закрыть” в меню “Файл”, либо кнопкой [image], откройте изображения заново и только тогда приступайте к измерениям.

3) Автоматический поиск движущихся объектов.
Меню - "Разметка/Поиск объектов", либо 15-я кнопка на 2-й панели инструментов.

Алгоритм находит фиксированное, заданное пользователем, число мест на кадре, где вероятнее всего присутствуют движущиеся объекты. Предназначен для точечных, не "растянутых" изображений объектов, т. е. таких которые, за время экспозиций сдвинулись не намного, а за время между экспозициями сдвинулись существенно.

Работает с двумя снимка одного и того же звездного поля снятых через определенный промежуток времени. Если речь идет о поисках астероидов, то этот промежуток должен быть около получаса. Т. е. для поисков астероидов вы делаете первый кадр к примеру с экспозицией 2 минуты, через пол часа возвращаетесь к этому же полю и делаете второй кадр.

Заключается алгоритм в следующем:
1) Распознается звездное поле, для двух кадров.
2) Ищутся все локальные максимумы на двух кадрах.
3) Задается два уровня, u1 для первого кадра и u2 для второго.
4) На двух кадрах отбираются максимумы, такие, что на первом кадре максимум должен быть больше u1, и на том же месте второго кадра значение яркости должно быть меньше u2. Аналогично на втором кадре.
На этом этапе отфильтровываются звезды. Также необходимо отметить, что если объект яркий и ко времени второй экспозиции не успел полностью уйти с того места, где было его изображение во время первой экспозиции, алгоритм примет его за звезду.
5) Ищутся пары максимумов на первом и втором кадрах, расстояния между которыми лежит в заданном промежутке. Т. е. ищутся объекты с заданным сдвигом между кадрами.
6) Уровни u1 и u2 подбираются так, чтобы алгоритм нашел заданное число вероятных объектов. В этом заключается "изюминка" алгоритма. Дело в том, что вручную уровни подобрать достаточно сложно. Если уровень занижен, то алгоритм найдет много якобы объектов, принимая за них флуктуации фона. Если наоборот завышен, то будут потеряны слабые объекты.

Не следует завышать "число вероятных объектов". Если вы отнаблюдали какой-либо достаточно яркий объект, и хотите его найти в автоматическом режим, то следует задать единицу. В противном случае может получиться, так что на втором кадре, на месте где был объект есть флуктуация фона и объект алгоритмом будет принят за звезду. И уже после того как вы нашли искомый объект и далее хотите посмотреть нет ли в поле еще, чего-нибудь устанавливайте к примеру 5 и заново запускайте поиск.

Если вы ищете астероиды, у вас на кадрах предельная звездная величина порядка 19-той и поле порядка нескольких десятков минут, то рекомендуется устанавливать ~10.

4) Если вы знаете предварительные координаты объекта, нажмите [image] и укажите эти координаты в появившемся диалоговом окне.


Control and improve the accuracy of the results.

Хорошим контролем точности для малых планет и комет является вычисление O-C. См. соответствующий раздел.

Процесс улучшения точности предполагает выбор наилучшего режима измерений звезд и объектов (вкладка “Измерение” свойств программы), выбор и фильтрацию опорных звезд.

Одну из главных ролей в неточностях определения экваториальных координат объектов играют так называемые ошибки проекции телескопа или обобщенная дисторсия [А. А. Киселев, 1989, http://www.astro.spbu.ru/astro/publications/kiselev/tofafls/t169.htm]. Из-за подобных дефектов сдвиги координат могут достигать нескольких десятых секунды дуги. Отчасти от этого эффекта можно избавиться, используя вместо команды “Вычислить координаты” команду “Вычислить координаты Л.”. Отличие заключается в том, что при использовании последней команды в качестве опорных будут выбраны звезды, окружающие измеряемый объект. Недостатками этого метода являются, во-первых, необходимость наличия на кадре большого числа звезд (мы рекомендуем применять этот режим, если на кадре опорных звезд около 100 или больше), во-вторых, уменьшение числа опорных звезд приводит к ухудшению точности координат в случайном отношении.

Более корректный путь решения вышеназванной проблемы состоит в том, чтобы заранее в зависимости от координат в системе кадра вводить поправки за этот эффект. Данные поправки должны находится в файле “corrfld.bin”. Этот файл разрабатывается отдельно для каждого конкретного телескопа, кроме того, подлежит обновлению как по истечении определенного промежутка времени, так и после каждой юстировки телескопа. Для создания указанного файла необходимо произвести исследование свойств вашего телескопа. Обратитесь к автору программы – i_izmailov@mail.ru .

При определении экваториальных координат выдается окно:

Здесь

Sx – ошибка единицы веса по Х, т е. точность измерений по X (здесь ось X соответствует направлению на восток).

Sy - ошибка единицы веса по Y, точность измерений по Y (ось Y соответствует направлению на север).

Mx , My масштабы по X и по Y.

Gamma – угол косоугольности, т. е. определяющий насколько угол между осями отличается от 90 градусов.

Theta – угол между направлением на восток и осью X матрицы.

Чем меньше ошибки Sx и Sy, тем лучше точность измерений. Sx и Sy зависят от невязок на каждой опорной звезде (опорная звезда маркируется синим цветом). Посмотреть невязки можно, включив меню “Вид, Информация” или нажав кнопку - [image], и щелкнув левой кнопкой мыши на какой–либо опорной звезде. Невязки обозначаются dsx и dsy. Эти невязки также можно посмотреть, выбрав меню “Вычисления, Невязки на опорных зв.”, или нажав на [image]. В окне N – номер звезды, соответствует маркировке на изображении, X,Y – измеренные координаты, m1, m2 – звездные величины. Щелкнув по [image], можно исключить из вычислений соответствующую опорную звезду. Исключать по величине невязки можно в том случае, если невязка будет больше чем в двое превосходить значение S. Также можно исключать либо самые слабые, либо самые яркие звезды, если они имеют невязки больше, чем средние (исключить яркие и слабые звезды можно также когда происходит выборка из каталога). При нажатии кнопки “OK” в этом окне снова произойдет вычисление координат.

Контроль качества измерений отдельной звезды возможен посредством контроля невязок, получаемых при аппроксимации изображения звезды функцией профиля. О профилях смотри раздел основные алгоритмы программы. В программе реализованы два способа.

1) Выберите меню “Вид, Невязки”. Все измеренные изображениях будут выглядеть как группа пикселей красного и синего цвета. Если невязка на данном пикселе больше нуля, пиксель красного цвета, если же меньше - то синего. Лучшим распределением невязок является случайное распределение -

.

Приемлемым также является круговое распределение –

.

Перевести круговое в случайное можно одним из способов

а) Уменьшив во вкладке “Измерения“ свойств программы значение в поле “Апертура”, но в этом случае будет ухудшена случайная ошибка измерений, т. к. уменьшится число используемых пикселей.

б) Изменив там же значение “Показатель степени”. Эта величина регулирует, насколько быстро в функции профиля происходит спад яркости в изображении звезды от центра к краю.

в) Включив флажок “Показатель степени – переменная”. Отметим, что при этом возрастет число изображений, которые программа не сможет измерить.

г) Изменив в этой же вкладке профиль Лоренца на профиль Мофата, либо наоборот.

Наиболее плохой вариант распределения невязок, когда структура красно-синего изображения имеет выделенное направление (ось симметрии) –

.

Это означает, что измеренные координаты будут иметь сдвиг относительно истинного положения звезды в данном направлении.

2) Включите флажок “График” в меню “Вид”. Появится окно “График”, в котором будет выводиться зависимость интенсивности от расстояния элемента до центра изображения. Профиль, используемый для измерений, в таком представлении выглядит гладкой кривой, а наблюдательные данные дадут разброс точек, (каждый пиксел изображения звезды даст одну точку) относительно некоторого среднего хода (см. рисунок).

Данные в это окно выводятся в момент измерения. Идеальным будет вариант, когда кривая окружена точками, т. е. точки в каждом небольшом отрезке графика находятся как выше, так и ниже кривой.

При неудовлетворительном представлении профилем изображения, набор возможных действий такой же, как в п.1.


O-C.

All observations obviously have errors, sometimes very significant. Values ​​(O-C), so-called "Observed" minus "calculated" coordinates, numerically characterize the quality of observations.

The function is started using the O-C button on the first toolbar. If several frames are measured by O-C, then the internal error of one observation is calculated by the variation. If observations of the same object are made on different nights, an external (external) error is also calculated.

This function is available if there are catalogs of orbit elements in the working folder of the program (see the “Ephemeris Support” section), files with the theory of the motion of large planets and at least one position of an object is calculated. The results are displayed in the file "o-c.txt".


Разрешение проблем с идентификацией звездного поля.

Если поле не идентифицируется, то возможны следующие причины:

1) Неверны координаты центра кадра. Внимание, координаты должны быть отнесены к экватору и равноденствию 2000 года (J2000).

2) Не тот масштаб. Данная проблема возникает, как правило, при первом использовании программы, либо если производились изменения в аппаратуре, изменившие масштаб вашей наблюдательной системы. Масштаб устанавливается во вкладке “Телескоп” свойств. Возможные действия:

а) Установите флажок “Новый инструмент” в этой вкладке. В этом случае алгоритм отождествления просмотрит все значения масштаба от вдвое меньшего до вдвое большего. Например, если вы установили масштаб 1 секунда на пиксель, то алгоритм сработает, если действительное значение масштаба заключено от 0.5 до 2.
б) Попробуйте подобрать масштаб, учитывая диапазон срабатывания алгоритма. Т. е. установите какое либо значения масштаба, запустите алгоритм идентификации, если алгоритм снова не сработал; установите другое значение и т. д..

3) Недостаточно звезд для идентификации на числовом изображении. Для идентификации нужно не менее 4 звезд.

4) Недостаточно звезд для идентификации в каталоге. При этом после окна ”Выборка из каталога”, выводится окно с информацией о числе звезд. Отметим, что линейный размер поля, задаваемый в окне ”Выборка из каталога” по умолчанию в 2 раза больше, чем размер поля зрения, и соответственно в 4 раза больше по площади. Таким образом если, например, вы получили сообщение, что найдено 12 звезд, то в поле зрения будет в среднем 3 звезды, что недостаточно для идентификации.

Попробуйте выбрать каталог с большим числом звезд. Каталоги в порядке увеличения числа звезд – TYCHO, UCAC, USNO.

5) Яркие звезды на кадре передержаны. Алгоритм идентификации заключается в сравнении множества звезд на кадре и звезд из каталога. Звезды на кадре выбираются так, чтобы они не были передержаны, а из каталога берется какое-то число самых ярких звезд. Т. е. множества не совпадают. Необходимо в окне “Выборка из каталога” увеличить значение поля “Звездная величина/min”.

6) Для этого поля не срабатывает алгоритм идентификации. Если у вас не меняется ориентировка кадров, т. е. надежная экваториальная монтировка и камера жестко, без поворотов относительно трубы , закрепляется на телескопе, в свойствах программы, вы можете включить режим "Отождествление/Учитывать ориентировку при отождествлении". Это поможет резко сократить число ошибок при отождествлении.

Возможные способы решения проблемы:

а) Попытайтесь изменить конфигурацию звезд, используемую для отождествления. (Звезды старой конфигурации отмечены красными окружностями.) Для этого:

I) Откройте изображение заново, включите режим измерений по щелчку левой кнопки мыши – меню “Вычисления, Измерения”.
II) Измерьте звезды новой конфигурации левой кнопки мыши.
III) Попытайтесь снова идентифицировать поле.

б) Уменьшите поле выборки из каталога.

г) Попытайтесь изменить параметры алгоритма идентификации. Эти параметры задаются на вкладке “Отождествление” свойств программы. Смысл величин следующий:

I) “Число звезд на кадре” Для идентификации используется конфигурация из такого числа звезд.
II) “Число звезд из каталога” Используется такое число самых ярких в этом поле звезд из каталога. Должно быть больше чем значение поля “Число звезд на кадре”.
III) “Максимальная невязка в координатах” Если при вычислении параметров перехода от измеренных координат к тангенциальным (вычисляются на основе экваториальных координат из каталога) невязка (разность между вычисленными и измеренными координатами) на какой-то звезде больше указанного значения, то звезда исключается из рассмотрения.
IV) ”Минимальное число звезд для отождествления” Звездное поле считается отождествленным, если число отождествленных звезд больше либо равно этой величине. Необходимо задавать значение от 4 до значения поля “Число звезд на кадре”.


Обозначения объектов на числовом изображении.

Objects in the image are marked with circles of different colors.

1) The green color of the circle means that the star or something else is marked for further measurement. Clicking with the left mouse button on a star, if the “i” mode is on (the corresponding button on the toolbar is pressed), preliminary coordinates in pixels are output in the “Information” window, and also, if this star is identified in the catalog, the equatorial coordinates and proper motions are displayed and stellar magnitudes in two photometric systems.

2) Red color - the star is already measured.

3) Blue is the pivot star. That is, this star is used to determine the parameters for the transition from measured to equatorial coordinates, and ultimately to determine the coordinates of objects. In the “Information” window there are also discrepancies on this star (dsx, dsy).

4) Yellow - an object whose equatorial coordinates are defined.

.


Output file formats.

The output files of the program are in the same folder as the program itself.

File format "mpcreport.txt" Comply with the format adopted by the International Center for Small Planets (MPC).

In this file:

in positions 1 to 12 - the designation of a small planet,
16-19 - year
21-22 - month
24-31 - day (with fractional part),
33-44 - right ascension
45-56 - declination
66-69 is the magnitude
78-80 - MPC code of the observatory.

In positions 1-80 file "mpcreportiz.txt" the same data is found as in the similar positions in the "mpcreport.txt" file. And further:

83-95 - unit weight errors,
97-100 - the number of reference stars,
102-106 - the number of stars from the catalog hit the field
108-120 - limits of discrepancies of reference stars,
123 - degree of astrometric model,
125-127 - the number of permanent plates,
129-137 - the minimum and maximum magnitude of the reference stars,
139-144 - exposure in hundredths of a second,
146-166 - Mx, My,

168-173 - g,
175-181 - q ,
182+ image file name.

File "izmccd.log" has the following structure:
At positions 1-6, there is a pointer to the data type in this line.

If the pointer " 1 0 ", this line contains the measurement results of the image of the object,

8-11 - year
13-14 - month
16-17 - day
19-20 - hour
22-23 is the minute
25-26 - second,
28-33 - exposure in hundredths of a second,
35-44 - the x coordinate of the object in pixels
46-55 - Y (if X, Y are equal to –1, this means that the program could not measure this image),
57-66 - error X in pixels, for the first star in the interacting images, for subsequent ones - the error of the distance between the first star in the image and this star,
68-77 - the error Y for the first star, and the error (position angle) in radians for the subsequent,
79-88 - error of the unit of weight (error in intensity) when approximating images of an object,
90-92 - the number of this object when measuring a complex image (numbering from scratch),
94-96 - the number of objects in a complex image (per unit),
98-101 - the number of this object on the frame
103 - here 0 - this object was measured with a fixed value (for the meaning of the parameters, see section "Основные алгоритмы программы"), 1 - [image] определялась как переменная,
105 - 0 – изображение не вытянутое (не эллипсоидальное), 1 – наоборот,
107 - 1 – общие А и B в сложных изображениях, 0 – раздельные,
109 - 1 – производилось смешение апертуры, 0 – не производилось,
111 - 1 – профиль Лоренца, 0 – Мофата,
113-120 - [image] ,
122-145 - A,
147-170 - B,
172-195 - C,
197-220 - D,
222-245 - E),
247-254 - error [image] ,
256-279 - error A,
281-304 - error B,
306-329 - error C,
331-354 - error D,
356-379 - error E,
381-388 - the initial value of X,
390-397 - the initial value of Y,
399-406 - aperture radius in pixels
408-412 - the number of pixels of the aperture outside the frame,
414 and further is the name of the image file.

Pointer = "2 0", the line contains the coordinates of the optical center,
9-22 - right ascension (degrees)
25-38 - declination.

Pointer = "3 0",
8-9 - degree of astrometric model,
12-13 the number of permanent plates,
15-17 - the number of reference stars.

Pointer = "4 0", the values ​​and errors of the permanent plate,
8-10 - i (see "Basic Program Algorithms"),
12-14 - j,
16-18 - degree x,
20-22 - the degree of y,

24-41 - aij,
43-61 - bij,,
63-81 - error aij,,
83-101 - error bij,.

Pointer = "6 0", weight unit errors,
8-13 - an error on x,
14-20 - y error,

Pointer = "7 0", list of reference stars,
8 - if 1, this star was used as a reference, if 0, was not used.
10-14 - k,
16-20 - discrepancy in x (arc seconds)
23-28 - discrepancy for y (second arc),

30-38 - xk,
40-48 - yk,
50-53 - the magnitude in the first photometric system,
55-58 is the magnitude in the second photometric system,
61-73 - right ascension to the epoch of observation (degrees),
75-88 - declination to the epoch of observation (degrees),
90-97 - RA * cos (dec) own motion (milliseconds of arc per year),
99-106 - own movement by declination (milliseconds of arc per year),
108-113 - direct ascent error (seconds of arc),
114-120 - declination error (arc seconds),
121-127 - the error of the own movement RA*cos (dec) (milliseconds of arc per year),
128-134 - the error of its own motion in declination (milliseconds of arc per year).

Pointer = "8 0", the desired equatorial coordinates of the object.
8-20 - the designation of the object
22-25 - number
28-39 - right ascension,
42-53 - declination
56-59 is the magnitude.


Determination of penetrating power.

Для улучшения качества результатов в качестве опорных звезд необходимо использовать звезды не слабее, чем проницающая сила вашего инструмента при данной выдержке (в окне “Выборка из каталога” задать максимум звездной величины, смотри раздел "Порядок работы с программой"). Чтобы определить максимально слабые звезды, видимые на конкретном кадре, сделайте следующее:

1) Откройте файл.

2) Идентифицируйте поле. При этом выберите каталог USNO как содержащий наиболее слабые звезды.

3) Откройте меню “Вид”, выберете “Номера” либо нажмите - [image]. Отключится индикация отождествленных звезд.

4) Нажмите “i” на панели инструментов. Появится окно “Информация”.

5) Выберите одну из самых слабых звезд. Щелкнете на ней левой кнопкой мыши. В окне “Информация” в том числе будет выведена звездная величина в двух фотометрических системах – m1, m2. Эти величины и будут близки к предельным.


The basic algorithms of the program.

1) Измерения. Основная задача этого алгоритма – измерения координат объектов, выраженных в пикселях, с наилучшей возможной точностью, которая обычно составляет, в зависимости от качества числового изображения, 0.1 – 0.02 размера пиксела. Описываемый алгоритм также пригоден для измерений сливающихся изображений звезд.

Входной информацией здесь является:

а) число звезд, если необходимо измерить конфигурацию из сливающихся изображений звезд, иначе этот параметр 0,

б) набор предварительных координат xi, yi, для всех звезд, индекс i– номер звезды,

в) значения яркостей на пикселях формирующих изображение звезд - I(xj, yj), индекс j– номер пиксела.

Для измерений изображений объектов в программе используются два профиля.

Профиль Лоренца -

,

и профиль Мофата -

,

здесь:

и наконец

,

где I(xj, yj) - яркость пиксела с координатами xj, yj,

j – номер пиксела, принадлежащего апертуре;

i – номер звезды в сложном изображении, т. е. когда изображения нескольких звезд накладываются друг на друга, иными словами сливаются;

N– число звезд в сложном изображении, для одиночных изображений N=0;

x0, y0– координаты звезды с нулевым индексом;

- расстояние между нулевой и i-той звездой в пикселах,

- угол между осью Y и направлением отрезка между нулевой и i-той звездой;

A, B, C, D, E, [image] - определяемые при измерениях параметры. Параметры имеют следующий смысл:

A – задает размер изображения;

B – вытянутость изображения по оси Y;

C – яркость изображения в центре;

D – свободный член;

E – вытянутость изображения в произвольном направлении.

Пиксел считается принадлежащим изображениям звезд, если расстояния до одной из точек, задаваемых набором предварительных координат, меньше чем радиус апертуры. Поменять эту величину можно во вкладке “Измерения” свойств.

Процесс измерений заключается в определении параметров - Ai, Bi, Ci, D, E, x0, y0, [image] , [image] , [image] . Для этого используется следующий итерационный процесс. Первоначально находятся приближенные значения параметров для профиля Лоренца:

,

для профиля Мофата:

,

где К – число используемых пикселов, [image] ,

Далее с помощью метода наименьших квадратов (МНК) решается система условных уравнений для поправок параметров на каждом шаге итерации. Итерации делаются до тех пор, пока поправки к параметрам не становятся меньше некоторого заданного порога. Число итераций ограничено. Если данное ограничение превышается, то звезда считается неизмеримой.

Главные выходные параметры этого алгоритма - xi, yi, индекс i– номер звезды в конфигурации из сливающихся изображений.

Режимы работы алгоритма задаются во вкладке “Измерения” свойств, и имеют назначение:

“Апертура“ – радиус апертуры в пикселях,

“Показатель степени“ – начальное значение [image] ,

“Показатель степени – переменная” – если не установлен этот режим, то [image] не является определяемым параметром, т. е. имеет постоянное значение во время итераций.

“Изображения звезд эллипсоидальные“ – если не включено, параметр Е отсутствует, т. е. изображения звезд предполагаются вытянутыми только в направлении осей координат,

“Смешение апертуры“ – в случае установки этого режима по окончанию итераций алгоритм будет повторен, но уже с измеренными значениями координат в качестве предварительных.

“Общие A, B во взаимодей. изоб.“ – параметры A, B будут общими для всех звезд, изображения которых взаимодействуют.

“Центровка апертуры“ – при разметке кадра будет производится центровка апертуры на ближайший локальный максимум.

“Профиль Лоренца“, “Профиль Мофата“ – переключатель между профилями.

2) Вычисление координат.

Входные параметры для этого алгоритма

a)xk ,yk – измеренные координаты опорных звезд, k=1,2…M, где М - число опорных звезд,

б) [image] - экваториальные координаты и собственные движения опорных звезд,

в) xl ,yl – измеренные координаты объектов l=1,2…S, где S - число объектов,

г) t – эпоха наблюдений (вычисляется по дате и времени получения кадра),

в случае если учитывается рефракция (включается "Свойства/Телескоп/рефракция")

д) T,P – температура и давление воздуха,

е) [image] - долгота и широта обсерватории.

На первом шаге учитываются собственные движения:

здесь [image] [image] - экваториальные координаты k– й опорной звезды на эпоху наблюдений, t0 – эпоха каталога.;

Если необходимо учесть рефракцию, экваториальные координаты переводятся в горизонтальные:

где [image] - искомые зенитное расстояние и азимут звезды, [image] - широта обсерватории, [image] - часовой угол звезды, определяемый через время получения кадра, координаты обсерватории и [image] . Далее:

здесь t - температура в градусах С, P - давление в миллиметрах ртутного столба.

И обратно от горизонтальных к экваториальным:

Если же рефракция не учитывается, то просто - [image] , [image] .

Вычисляются тангенциальные координаты [image] , [image] для всех опорных звезд:

где [image] - координаты центра кадра.

Методом наименьших квадратов (МНК) определяются постоянные кадра. Избыточная система имеет следующий вид:

Определяемые параметры здесь - aij, bij.
d - степень астрометрической модели.

Величины, выдаваемые при определении координат, вычисляются по следующим формулам:

и имеют смысл: Mx, My - масштабы соответственно по X и по Y; [image] - косоугольность; [image] - ориентировка.

И наконец, определяются экваториальные координаты ( [image] ) объектов:

Если учитывается рефракция, то производится переход к горизонтальным координатам, к зенитному расстоянию прибавляется поправка за рефракцию, и делается переход обратно к экваториальным координатам (смотри выше). Отметим, что формула:

,

в отличие от предыдущего случая представляет собой уравнение, которое необходимо разрешить относительно zk, входной же параметр здесь [image] . Параметры этого алгоритма устанавливаются в "Свойства\Вычисление экваториальных координат".


View frame.

При просмотре численного изображения можно использовать следующие возможности:

1) Увеличение/уменьшение масштаба. Для этого нажмите - [image] / [image] кнопку на панели инструментов. Щелкните левую кнопку мыши на каком-либо месте кадра. Кроме того, что произойдет изменение масштаба, изображение кадра в окне программы будет центрировано на место, указанное щелчком мыши.

2) Увеличение/уменьшение яркости производится кнопками - [image] / [image] , либо через регулировку величин фона и диапазона, кнопка - [image].

3) Режим негатива - [image].

4) Значение яркости на каком либо пикселе можно посмотреть в окне “Информация”. Данное окно появится, если нажать кнопку “i” и щелкнуть левой кнопкой мыши на этом пикселе. Также, перемещая указатель мыши клавишами курсора (со стрелками), возможно посмотреть значения яркостей на соседних пикселах. В этом же окне выдается информация об измеренных, опорных и т. д. звездах.


Frame marking and measurements of visual double stars.

Для того, чтобы пометить звезды для последующего измерения, нажмите кнопку – [image] на панели инструментов и левой кнопкой мыши отметьте необходимые звезды. В случае, если установлен флажок Свойства/Измерения/Центровка за центр апертуры, используемой для измерений, будет взят локальный максимум яркости, иначе точно тот пиксел, который вы указали мышкой.

Удалить помеченные звезды можно, нажав кнопку – [image] и левую кнопку мыши на соответствующей звезде.

При нажатии кнопок - [image] / [image] происходит уменьшение/увеличение апертуры, используемой для измерений, принадлежащей последней отмеченной звезде.

Для измерений визуально-двойных (кратных) звезд, т. е. когда изображения звезд сливаются, либо в том случае, если движущийся объект проходит близ звезды, необходимо пометить для измерений все компоненты звезды. Далее нажать кнопку - [image] и последовательно отметить компоненты левой кнопкой мыши. При этом появятся зеленые линии, соединяющие центры апертур первого и всех последующих компонент.

Непосредственно измерения произойдут по команде пункта меню "Вычисления/Измерить помеченное", либо при нажатии кнопки - [image]. Результаты измерений находятся в файле “izmccd.log”, смотри раздел “Форматы выходных файлов”.


Supports BMP and JPG formats.

The standard Windows graphics format is the bit map (BMP) and the most common format of ordinary (non-astronomical) photos is JPG, Izmccd is supported in illustrative mode. The date and time of the file creation is taken as the date and time of the image acquisition. Accordingly, the correct search for small planets in the frame is impossible. More or less correct reduction with 6-8 constants (due to proper motions of the stars) is possible only if the date of receiving the image is not too different from the date of file creation. The refraction metering mode is not applicable at all. The functions of identifying the star field and measuring the coordinates in the frame system (i.e., so-called pixel), which are displayed in the file "izmccd.log", work in full.


Preliminary image processing.

Для предварительной обработки изображений необходимо иметь кадры с темновым током и плоским полем. Темновой ток, как правило, получают с закрытым затвором, и с той же экспозицией, что и кадры с наблюдаемыми объектами.

Плоское поле необходимо для учета неравномерности чувствительности пикселов приемника. Один из вариантов его получения - снять кадры с сумеречным небом.

Для учета данных эффектов в программе Izmccd сделайте следующее:

1) Откройте кадр с плоским полем кнопкой - [image].
Нажмите кнопку - [image]. В появившемся диалоге выберете кадр с темновым током. Произойдет вычитание темнового кадра из плоского поля.
Сохраните плоское поле на диске - [image].
2) Откройте кадр с наблюдаемыми объектами - [image]. Можно открыть несколько кадров, соответственно выбрав в диалоге открытия файлов несколько файлов.
Вычтите темновой кадр - [image].
3) Выполните учет плоского поля - [image].

Замечание. Если у вас открыто несколько файлов, то учет темнового тока и плоского поля выполняется для всех открытых изображений.

Если имеется серия кадров с плоским поле или темновым током, то можно воспользоваться:

a) медианным фильтром
Меню - "Вычисление/Медианный фильтр", либо 12-я кнопка на 2-й панели инструментов. Используются все открытые изображения. Результатом является текущее изображение, т. е. то, которое на экране.

б) сложением кадров
Меню - "Вычисление/Сложение кадров ", либо 13-я кнопка на 2-й панели инструментов. Складываются все открытые кадры, результирующий - текущий.

Присутствует также возможность, исправления остаточных неровностей не учтенных плоским полем и темновым кадром. Меню - "Вычисления/Выравнивание фона " либо кнопка - [image] на панели инструментов. Также эту функция можно использовать для снятия ореола. Данная функция представляет собой разновидность медианного фильтра, приложенного к области окружающий пиксел, для которого и происходит вычисление значения фона. Причем в отличие от большинства реализаций этого фильтра в IZMCCD происходит усреднение по части пикселов окружающих медианное значение. Фильтр можно применить как к изображениям открытым в программе, так и к группе файлов. Группа задается посредством маски файлов. Перезаписи файлов не происходит, поскольку происходит изменение имени исходного файла путем добавления нескольких букв, по умолчанию "VF". Если к примеру исходный файл назывался "field001.fit" результирующий файл будет называться "field001VF.fit".


Ephemeris support.

To use the possibility of calculating ephemeris, searching for small planets in a frame on a computer that does not have access to the Internet and determining the coordinates of the field of view on the small planet that was observed, you need to download 3 files:
a) uxnp1950.405 from the address ftp://ssd.jpl.nasa.gov/pub/eph/export/unix/unxp1950.405 (4.5 MB),
b) uxnp2000.405 from the address ftp://ssd.jpl.nasa.gov/pub/eph/export/unix/unxp2000.405 (4.5 MB),
c) mpcorb.dat from the address http://mpcorb.klet.org/MPCORB.ZIP (19 MB),
or astorb.dat from the address ftp://ftp.lowell.edu/pub/elgb/astorb.dat.gz (25 MB).

The cometary orbit catalog must be downloaded separately from the address - http://mpcorb.klet.org/COMET.DAT.

Uxnp1950 files. 405 and uxnp2000. 405 contain the theory of the motion of the large planets from 1950 to 2050. The file mpcorb.dat (astorb.dat) is a catalog of the elements of the orbits of small planets. This file must be updated periodically, but if you observe small planets with good theories of motion, then you need to update it about once every 5 years. If you observe non-numbered small planets for example in the "overview" mode, then you need to update much more often - about once a month, as the old orbits improve and new, newly discovered asteroids are added. You can also download all 3 files from the program website, in the zip archive at http://izmccd.puldb.ru/ORB.ZIP (22 Мb). After downloading the files must be copied to the folder with IZMCCD, usually C: \ Program Files \ Izmccd. I note that in Izmccd all calculations are made with full consideration of the disturbances from the major planets.

To calculate an ephemeris, open the "Calculations" menu, select "Ephemeris", or click - [image]. A dialog box appears asking for the number of the planet, the beginning and end of the requested ephemeris and the interval in minutes through which the coordinates will be calculated. The numbers of large planets (as opposed to small ones) are set with a minus, i.e. "-1" Mercury, "-2" Venus ... "-9" Pluto, as well as "-10" Moon and "-11" Sun .

Ephemeris support also includes the possibility, when identifying a star field, in the coordinate field of view query window, to insert coordinates by asteroid number. The corresponding button is located below the text field for entering coordinates. And if you see, for example, a small planet with number 611 and you have a file named for example 611bla001.fit (the file name starts with the number of the planet), then the small planet number 611 will be substituted into the corresponding field. i.e. the name must be at the beginning of the file name. For example, for Uranus, the file should be called Uran001.fit (Uran001.fit).


Programmatic request for star field recognition.

First of all, this function is intended for embedding into the program complex of telescope control during observations. Essentially to automate the observation process. However, other applications are possible.

To complete the request you need:
1) Generate an input file with the name "inq.ini" (For an example of the file, see below, as well as in the Izmccd distribution). Copy this file to the Izmccd working folder. Programmatically, the folder name can be found by requesting the value of the registry key "HKEY_LOCAL_MACHINE \ SOFTWARE \ Izm \ Izmccd \ path".
2) By sending a WM_USER + 1973 message to the window with the name "Izmccd". Code in Microsoft Visual Studio C ++:

…
HWND hwnd=::FindWindow(NULL,"Izmccd");// "::" - означает, что вызываем API функцию, а не перегруженную из МFC.
if (hwnd!=NULL)
{
::SendMessage(hwnd,WM_USER+1973,0,0);
} else
{
//izmccd probably not running

}
…

3) If the key "NameOfWindow" is defined in inq.ini, then upon completion of recognition, Izmccd will send a WM_USER + 1973 message to the window with the name corresponding to the value of this key.
4) The answer is displayed in the file "ans.ini".

An example of the file "inq.ini":

File="C:\Program
Files\izmccd\1146_3.fit"// image
Catalog=3 // 1-Tyco; 2-USNO;
3-UCAC
RACenter=22.16010611 //hour
DCCenter=4.189444444
//deg
RASize=2.17 //min
DCSize=32.45 //min
MMin=1.0 //max magnitude of
stars
MMax=18.0 //min magnitude of stars
SourceOfCat= 1
//1-CD,2-Hard
NameOfWindow="serverccd"// for sending message of
end

Sample file "ans.ini":

Error= 1
ErrorText="No Error"
RACenter= 22.1570124 // hour
DCCenter= 4.172416 // deg
NOutStars=19
NInStars= 20
Mx= 0.95100 // "/pix
My= 0.95008 // "/pix
Gamma=
0.0513629 // deg
Theta= 82.319923 // deg
RAOptCen= 22.1501886 // hour
DCOptCen= 4.1834818 // deg
a0= -178.6763861 // ksi[arc
sec]=a0+a1*x[pix]+a2*y[pix]
a1= 0.1262483 // eta[arc
sec]=b0+b1*x[pix]+b2*y[pix]
a2= 0.9415609 // x[pix]=c0+c1*ksi[arc
sec]+c2*eta[arc sec]
b0= 377.3723346 // y[pix]=d0+d1*ksi[arc sec]+d2*eta[arc
sec]
b1= -0.9425830
b2= 0.1269707
c0= 418.3656062
c1= 0.1405281
c2= -1.0420908
d0= 133.6704830
d1= 1.0432225
d2= 0.1397271
NStars= 44 // N stars from catalog on image


Automatic processing, one object.

a) Copy all images into one folder.
b) Reset all program output files - menu "File / Overwrite output files". This is necessary, since in the future the coordinates of the object in the first and last frame will be read from these files.
c) Measure the equatorial coordinates of the object in the first and last image.
d) Call the function - menu "Calculation / Automatic processing", or the 8th button on the 2nd toolbar.
e) In the window that appears, the name of your object should appear in the "Host Name" field. If it does not appear, then either item c) or d) you did not.
Mark "The coordinates of the center of the leading object."
e) In the "Folder" field specify the folder with images.
g) If you do not need to measure all the files in the folder, cut off unnecessary files using the "Mask" field.
h) Click "OK".


Automatic processing, survey observations of small planets.

a) Copy all images into one folder.
b) Call the function - menu "Calculation / Automatic processing", or the 8th button on the 2nd toolbar.
c) Mark "Determine the coordinates of known objects in the field of view."
Specify the limiting magnitude.
d) In the "Folder" field specify the folder with images.
e) If it is necessary to measure not all the files in the folder, cut off unnecessary files using the "Mask" field.
e) Click "OK".

The coordinates of the center of the image should be specified in the file fits header.
The folder with Izmccd should contain the files necessary for calculating the ephemeris of minor planets.


Automatic processing, insert WCS system.

a) In the program properties mark "Identification / Include WCS system in the fits file"
b) Copy all images into one folder.
c) Call the function - menu "Calculation / Automatic processing", or the 8th button on the 2nd toolbar.
d) In the "Folder" field specify the folder with images.
e) If it is necessary to measure not all the files in the folder, cut off unnecessary files using the "Mask" field.
e) Click "OK".


Comets.

The catalog of orbits of comets must be downloaded from here - http://mpcorb.klet.org/COMET.DAT. The file "COMET.DAT" must be placed in the working folder of the program.

After this, the calculations of cometary ephemeris and the search for comets in sight will become available.

When calculating the ephemeris, comets are designated in the following way, numbered -
"4P/Faye" - "0004P",
"6P/d'Arrest" - "0006P",

not numbered -
P/2001 CV8 - "PK01C08V" (P-periodic)
C/2007 VO53 (Spacewatch) - "CK07V53O" (C- non-periodic)
If in the designation of a comet there is one letter index, for example, P/1994 J3 (Shoemaker) {index "J"}, then instead of the second letter, zero is written, that is, P 1994 J 3 - P 1994 J0 03 -PJ94J030

When measuring comets, to distinguish from asteroids, you must add "P" or "C" (periodic or non-periodic); depending on whether it is numbered or not numbered, at the beginning or end of the designation, for example, 0004P, P2001CV8


Connecting to izmccd external module for working with directories.

Это функция позволяет использовать звездные каталоги, работать с которыми izmccd не умеет.

1) Модуль должен быть оформлен в виде отдельного независимого приложения. Exe файл должен называться "catalog.exe" и должен присутствовать в рабочей папке izmccd (обычно "C:\Program Files\izmccd").

2) При запросе распознавания звездного поля izmccd запускает "catalog.exe". Перед этим в файл "cat.dat" записывается данные о ПЗС-кадре. Формат файла:
a) 1-14 позиция - размер площадки по RA в секундах дуги,
б) 16-29 - размер по Dec,
в) 31-32 - RA часы,
г) 34-35 - RA минуты,
д) 37-42 - RA секунды,
е) 44 - знак Dec,
ж) 45-46 - Dec градусы,
з) 48-49 - Dec минуты,
и) 51-55 - Dec секунды,
й) 57-60 - год ПЗС-кадра,
к) 62-63 - месяц,
л) 65-66 - день,
м) 68-75 - часы.

3) Результаты выборки из каталога должны быть выведены в текстовый файл "cat.txt". Сразу же после того как этот файл появиться и доступ к нему будет открыт, izmccd продолжит работу. Пример файла - "catexp.txt". Координаты звезд должны быть даны на J2000, включая поправки за собственные движения. Каждой звезде должна соответствовать одна строка. Строка должна заканчиваться символом конца строки (N10) и символом перевода каретки (N13). Формат строки:
1-2 позиции - RA часы,
4-5 - RA минуты,
7-15 - RA секунды,
17 - знак Dec,
18-19 - Dec градусы,
21-22 - Dec минуты,
24-31 - Dec секунды,
33-41 - собственное движение по RA в милли секундах времени, без множителя соs(Dec).
43-51 - собственное движение по Dec в милли секундах дуги.
54-59 - звездная величина в 1-й фотометрической системе,
62-67 - звездная величина во 2-й системе,
69-50 - ошибка RA в секундах времени, без множителя соs(Dec),
81-87 - ошибка Dec в секундах дуги,
89-95 - ошибка собственного движения по RA в секундах времени, без множителя соs(Dec),
97-103 - ошибка собственного движения по Dec в секундах дуги.

Если вы по каким либо причинам не хотите разрабатывать свою программу для выборки из каталога, сформируйте файл "сat.txt" другим способом, поместите в папку Izmccd и создайте пустой файл "catalog.exe" c нулевым размером. В этом случае при запросе распознавания izmccd сразу же прочитает файл "сat.txt" без запуска "catalog.exe".


Measured by sample.

The function allows to obtain pixel coordinates of objects in the automatic mode for several frames, in case there are preliminary coordinates.

Designed to re-measure the scanned photographic plates. Of course, you can use this feature for other purposes. Called the last button on the first toolbar.

To use this function, it is necessary to prepare input files with preliminary coordinates. Files must have the extension 'vhd', and be in the working folder of the program.
In these files:
a) each line corresponds to one object
b) in 1-10 positions - X,
c) 12-21 - Y,
d) 23-26 - radius of the approximation circle,
e) in the first line, in positions starting from 28 and up to the end of the line, the file name.

One file 'vhd' file must correspond to one file with images. The names of the output files are the same as the input files, but with the extension 'log'.


System requirements.

Программа работает под управлением Windows 98/2000/XP. Для ее работы требуется процессор Pentium 150 и выше, не менее 16MBRAM, CD-ROM дисковод. Желательно иметь подключение к интернету.

License agreement.

1) Все авторские права IZMCCD принадлежат только автору – Игорю Измайлову.

2) Автор оставляет за собой право отменить действие данной лицензии для любой из следующих версий.

3) Данная условно бесплатная версия распространяется свободно, при условии того, что настоящий дистрибутив не изменен.

4) Программа IZMCCD ПОСТАВЛЯЕТСЯ ПО ПРИНЦИПУ "AS IS". НИКАКИХ ГАРАНТИЙ НЕ ПРИЛАГАЕТСЯ И НЕ ПРЕДУСМАТРИВАЕТСЯ. ВЫ ИСПОЛЬЗУЕТЕ ЭТО ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ НА СВОЙ РИСК. АВТОР НЕ БУДЕТ ОТВЕЧАТЬ НИ ЗА КАКИЕ ПОТЕРИ ИЛИ ИСКАЖЕНИЯ ДАННЫХ, ЛЮБУЮ УПУЩЕННУЮ ВЫГОДУ В ПРОЦЕССЕ ИСПОЛЬЗОВАНИЯ ИЛИ НЕПРАВИЛЬНОГО ИСПОЛЬЗОВАНИЯ ЭТОГО ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ.

5) Получить консультацию по работе с программой у автора вы можете по адресу – i_izmailov@mail.ru .

6) Вы не можете использовать, копировать, эмулировать, создавать новые версии, сдавать в наем или аренду, продавать, изменять, декомпилировать, дизассемблировать, изучать код программы другими способами, передавать зарегистрированную программу или любые из ее составляющих иначе, чем определено настоящим лицензионным соглашением. Любое такое нелегальное использование означает автоматическое и немедленное прекращение действия настоящего соглашения и может преследоваться по закону.

Все права, не предоставленные здесь явно, сохраняются за Игорем Измайловым.

7) Установка и использование IZMCCD означает, что вы понимаете положения настоящего лицензионного соглашения и согласны с ними.

Игорь Измайлов.